#include<stdio.h>
#include<math.h>
#include<stdlib.h>
#include<string.h>
#include<ctype.h>
void main()
{
  int x,i,j,j1,i1,m=0,n=1,x1;
  scanf("%d",&x);
  if(x<=0)
  {
    printf("-1");
    exit(1);
  }
  x1=x;
  for(i=0;i<x;i++)
  {
    
    for(i1=0;i1<x1-1;i1++)
      printf(" ");
    for(j=0;j<n;j++)
    {
      printf("*");
      if(j==n-1)
	break;
      for(j1=0;j1<m;j1++)
	printf("A");
    }
    printf("\n");
     n=n+1;
     m=1;
    x1--;
  }
  
  
  
}
